# This file created by conda-build 3.23.3
# ------------------------------------------------

package:
  name: tbb-devel
  version: 2021.8.0
source:
  sha256: eee380323bb7ce864355ed9431f85c43955faaae9e9bce35c62b372d7ffd9f8b
  url: https://github.com/oneapi-src/oneTBB/archive/v2021.8.0.tar.gz
build:
  number: 0
  run_exports:
    - tbb >=2021.8.0
  script:
    - cmake $CMAKE_ARGS -DPython3_EXECUTABLE=${PYTHON} -DPYTHON_EXECUTABLE=${PYTHON}
      -DTBB_TEST=OFF -S . -B build
    - cmake --build build --parallel
    - cmake -DCOMPONENT=devel -P build/cmake_install.cmake
  string: ha357a0b_0
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.19.0 h6c40b1e_0
    - ca-certificates 2023.01.10 hecd8cb5_0
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_0
    - clang-14 14.0.6 default_h32c6d10_0
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_h32c6d10_0
    - clangxx_osx-64 14.0.6 hd8b9576_0
    - cmake 3.22.1 hbfa4a85_0
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - expat 2.4.9 he9d5cce_0
    - krb5 1.19.4 hdba6334_0
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp14 14.0.6 default_h32c6d10_0
    - libcurl 7.88.1 ha585b31_0
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20221030 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libffi 3.4.2 hecd8cb5_6
    - libllvm14 14.0.6 h91fad77_1
    - libnghttp2 1.46.0 ha29bfda_0
    - libssh2 1.10.0 h0a4fc7d_0
    - libuv 1.44.2 h6c40b1e_0
    - llvm-tools 14.0.6 h91fad77_1
    - lz4-c 1.9.4 hcec6c5f_0
    - make 4.2.1 h3efe00b_1
    - ncurses 6.4 hcec6c5f_0
    - openssl 1.1.1t hca72f7f_0
    - rhash 1.4.1 hbcfaee0_1
    - tapi 1000.10.8 ha1b3eb9_0
    - xz 5.2.10 h6c40b1e_1
    - zlib 1.2.13 h4dc903c_0
    - zstd 1.5.4 hc035e20_0
  host:
    - libcxx 14.0.6 h9765a3e_0
  run:
    - libcxx >=14.0.6
    - tbb 2021.8.0 ha357a0b_0
test:
  commands:
    - cmake $CMAKE_ARGS -DPython3_EXECUTABLE=${PYTHON} -DPYTHON_EXECUTABLE=${PYTHON}
      -DTBB_TEST=ON -DTBB_DIR=TRUE -S . -B test_build
    - cmake --build test_build --target test_parallel_for test_tbb_header conformance_version
      test_malloc_compliance test_flow_graph test_arena_constraints --parallel
    - cd test_build
    - ctest -R "^(test_parallel_for|test_tbb_header|conformance_version|test_malloc_compliance|test_flow_graph|test_arena_constraints)$"
      --output-on-failure
  requires:
    - clangxx_osx-64 14.*
    - cmake
    - make
  source_files:
    - CMakeLists.txt
    - cmake
    - include
    - src
    - test
about:
  description: 'oneTBB is a flexible C++ library that simplifies the work of adding
    parallelism to complex applications, even if you

    are not a threading expert.

    '
  dev_url: https://github.com/oneapi-src/oneTBB
  doc_url: https://oneapi-src.github.io/oneTBB/
  home: https://github.com/oneapi-src/oneTBB
  license: Apache-2.0
  license_family: Apache
  license_file:
    - LICENSE.txt
    - third-party-programs.txt
  summary: High level abstract threading library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 08e7ac5b-6244-4bee-a62d-f8477d899408
  recipe-maintainers:
    - AlexVeprev
    - anton-malakhov
    - jschueller
  remote_url: git@github.com:AnacondaRecipes/tbb-feedstock.git
  sha: cb408eec4d907f95a745160f914d99435585809d
